package djmil.cordacheckers.gameproposal;

import java.util.UUID;

import djmil.cordacheckers.states.GameProposalResolutionState;
import djmil.cordacheckers.states.GameProposalResolutionState.Resolution;

public class ActionFlowArgs {
    private UUID gameProposalUuid;
    private String action;

    // Serialisation service requires a default constructor
    public ActionFlowArgs() {
        this.gameProposalUuid = null;
        this.action = null;
    }
    
    public Resolution getAction() {
        return GameProposalResolutionState.Resolution.valueOf(this.action);
    }

    public UUID getGameProposalUuid() {
        return this.gameProposalUuid;
    }
}
